import { NgModule } from '@angular/core';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { NotificationComponent } from './notification.component';
import { PopupNotificationDialogComponent } from './popup/popup-notification.component';
import { SnackBarNotificationComponent } from './snack-bar/snack-bar-notification.component';

@NgModule({
	imports: [
		CommonUiModule
	],
	declarations: [
		NotificationComponent,
		SnackBarNotificationComponent,
		PopupNotificationDialogComponent,
	],
	exports: [
		NotificationComponent
	],
	entryComponents: [
		SnackBarNotificationComponent,
		PopupNotificationDialogComponent,
	]
})
export class NotificationModule {
	constructor() { }
}
