import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { AutoCompleteModule } from '../../../library/auto-complete/auto-complete.module';
import { ExternalItemListingComponent } from './listing/external-item-listing.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		AutoCompleteModule
	],
	declarations: [
		ExternalItemListingComponent,
	],
	exports: [
		ExternalItemListingComponent
	]
})
export class ExternalSourcesModule { }
