import { BaseComponent } from "../../../core/common/base/base.component";
import { OnInit, Component } from "@angular/core";
import { Router, ActivatedRoute } from "@angular/router";
import { TranslateService } from "@ngx-translate/core";
import { MatSnackBar } from "@angular/material";

@Component({
	selector: 'app-quick-wizard-create-add-component',
	templateUrl: 'quick-wizard-create-add.component.html',
	styleUrls: ['./quick-wizard-create-add.component.scss']
})
export class QuickWizardCreateAdd extends BaseComponent implements OnInit {

	constructor(
		private router: Router,
		private languageService: TranslateService,
		public snackBar: MatSnackBar,
		public route: ActivatedRoute
	) {
		super();
	}


	ngOnInit(): void {
		
	}

	navigateToCreate(){
		this.router.navigate(["/quick-wizard"]);
	}
	

	navigateToAdd(){
		this.router.navigate(["/datasetcreatewizard"]);
	}


}
