import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DatasetCreateWizard } from './dataset-create-wizard.component';
import { DatasetDmpSelector } from './dmp-selector/dataset-dmp-selector.component';

const routes: Routes = [
	{
		path: '',
		component: DatasetCreateWizard,
		data: {
			breadcrumb: true
		},
	},
	{
		path: '',
		component: DatasetDmpSelector,
		data: {
			breadcrumb: true
		},
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class DatasetCreateWizardRoutingModule { }
