import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { AutoCompleteModule } from '../../library/auto-complete/auto-complete.module';
import { ExploreDatasetListingComponent } from './explore-dataset-listing.component';
import { ExploreDatasetRoutingModule } from './explore-dataset.routing';
import { ExploreDatasetFilterItemComponent } from './filters/explore-dataset-filter-item/explore-dataset-filter-item.component';
import { ExploreDatasetFiltersComponent } from './filters/explore-dataset-filters.component';
import { ExploreDatasetListingItemComponent } from './listing-item/explore-dataset-listing-item.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		AutoCompleteModule,
		ExploreDatasetRoutingModule
	],
	declarations: [
		ExploreDatasetListingComponent,
		ExploreDatasetFiltersComponent,
		ExploreDatasetFilterItemComponent,
		ExploreDatasetListingItemComponent
	]
})
export class ExploreDatasetModule { }