import { NgModule } from "@angular/core";
import { CommonFormsModule } from "../../common/forms/common-forms.module";
import { CommonUiModule } from "../../common/ui/common-ui.module";
import { AutoCompleteModule } from "../../library/auto-complete/auto-complete.module";
import { ExploreDmpFilterItemComponent } from "./dmp-explore-filters/explore-dmp-filter-item/explore-dmp-filter-item.component";
import { ExploreDmpFiltersComponent } from "./dmp-explore-filters/explore-dmp-filters.component";
import { ExploreDmpListingComponent } from "./explore-dmp-listing.component";
import { ExploreDmpRoutingModule } from "./explore-dmp.routing";
import { ExploreDmpListingItemComponent } from "./listing-item/explore-dmp-listing-item.component";
import { DmpOverviewModule } from "../dmp/overview/dmp-overview.module";

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		AutoCompleteModule,
		ExploreDmpRoutingModule,
		DmpOverviewModule
	],
	declarations: [
		ExploreDmpListingComponent,
		ExploreDmpFiltersComponent,
		ExploreDmpFilterItemComponent,
		ExploreDmpListingItemComponent
	]
})
export class ExploreDmpModule { }
